<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: encode_8b10b_pkg Package Body  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">encode_8b10b_pkg Package Body Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="class__encode__8b10b__pkg-members.html">List of all members.</a></p>
<b>Package &gt;&gt; </b><a class="el" href="classencode__8b10b__pkg.html">encode_8b10b_pkg</a><br/>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Functions"></a>
Functions</h2></td></tr>
 <tr class="memitem:a88367b5e62b236067c7614ecd0e6bc02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88367b5e62b236067c7614ecd0e6bc02"></a>
<b><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__encode__8b10b__pkg.html#a88367b5e62b236067c7614ecd0e6bc02">concat_force_code</a><b> ( </b><b><span class="vhdlchar">force_code_disp: </span><span class="stringliteral">in </span><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span></b></b><b> , <span class="vhdlchar">force_code_val: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:ad153334d1fe3c704c1159dc89e937812"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad153334d1fe3c704c1159dc89e937812"></a>
<b><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__encode__8b10b__pkg.html#ad153334d1fe3c704c1159dc89e937812">str_to_slv</a><b> ( </b><b><span class="vhdlchar">bitsin: </span><span class="stringliteral">in </span><b><span class="comment">STRING</span><span class="vhdlchar"> </span></b></b><b> , <span class="vhdlchar">nbits: </span><span class="stringliteral">in </span><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:a172c5f9f9a6a24f12f4d1c7453e5e8ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a172c5f9f9a6a24f12f4d1c7453e5e8ad"></a>
<b><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__encode__8b10b__pkg.html#a172c5f9f9a6a24f12f4d1c7453e5e8ad">boolean_to_std_logic</a><b> ( </b><b><span class="vhdlchar">value: </span><span class="stringliteral">in </span><b><span class="comment">BOOLEAN</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:a18806e762baa6adc3b5f7a7bfafa35cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18806e762baa6adc3b5f7a7bfafa35cd"></a>
<b><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__encode__8b10b__pkg.html#a18806e762baa6adc3b5f7a7bfafa35cd">bint_2_sl</a><b> ( </b><b><span class="vhdlchar">X: </span><span class="stringliteral">in </span><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
<tr class="memitem:a07278199c450285ef302c4cd0886dfd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07278199c450285ef302c4cd0886dfd9"></a>
<b><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__encode__8b10b__pkg.html#a07278199c450285ef302c4cd0886dfd9">has_bport</a><b> ( </b><b><span class="vhdlchar">C_HAS_BPORTS: </span><span class="stringliteral">in </span><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span></b></b><b> , <span class="vhdlchar">has_aport: </span><span class="stringliteral">in </span><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span></b></b><b> )</b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="encode__8b10b__pkg_8vhd_source.html#l00102">102</a> of file <a class="el" href="encode__8b10b__pkg_8vhd_source.html">encode_8b10b_pkg.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/TTS/<a class="el" href="encode__8b10b__pkg_8vhd_source.html">encode_8b10b_pkg.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:42 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
